package be.naaturel.boardmateapi.configurations.configurations;

import be.naaturel.boardmateapi.common.helpers.Logger;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.servlet.HandlerInterceptor;

public class Interceptor implements HandlerInterceptor {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        Logger.displayInfo("Intercepted :  " + request.getRequestURI());
        return true;
    }
}
